%define upstream_name    Email-FolderType
%define upstream_version 0.814

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 10

Summary:    Class to help Email::FolderType recognise maildirs
License:    GPL+ or Artistic
Group:      Development/Perl
Url:        https://metacpan.org/release/%{upstream_name}
Source0:    https://cpan.metacpan.org/modules/by-module/Email/%{upstream_name}-%{upstream_version}.tar.gz

BuildRequires: perl(Capture::Tiny)
BuildRequires: perl(Exporter) >= 5.570.0
BuildRequires: perl(ExtUtils::MakeMaker) >= 6.300.0
BuildRequires: perl(Module::Pluggable)
BuildRequires: perl(Test::More) >= 0.960.0
BuildRequires: perl(blib)
BuildRequires: perl(strict)
BuildRequires: perl(warnings)
BuildArch:  noarch

%description
Provides a utility subroutine for detecting the type of a given mail
folder.

%prep
%setup -q -n %{upstream_name}-%{upstream_version}

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor

%make_build

%check
%make_build test

%install
%make_install

%files
%doc Changes LICENSE META.json META.yml MYMETA.yml README
%{_mandir}/man3/*
%perl_vendorlib/*

%changelog
* Sun Mar 20 2022 umeabot <umeabot> 0.814.0-10.mga9
+ Revision: 1803437
- Mageia 9 Mass Rebuild

* Wed Feb 12 2020 umeabot <umeabot> 0.814.0-9.mga8
+ Revision: 1494428
- Mageia 8 Mass Rebuild
+ wally <wally>
- replace deprecated %%makeinstall_std

* Wed Sep 19 2018 umeabot <umeabot> 0.814.0-8.mga7
+ Revision: 1267843
- Mageia 7 Mass Rebuild

* Sun Jun 19 2016 pterjan <pterjan> 0.814.0-7.mga6
+ Revision: 1026902
- Rebuild for perl 5.22.2

* Mon Feb 08 2016 umeabot <umeabot> 0.814.0-6.mga6
+ Revision: 949142
- Mageia 6 Mass Rebuild

* Sun Oct 19 2014 umeabot <umeabot> 0.814.0-5.mga5
+ Revision: 789186
- Rebuild to potentially add missing dependencies

* Wed Oct 15 2014 umeabot <umeabot> 0.814.0-4.mga5
+ Revision: 742247
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 0.814.0-3.mga5
+ Revision: 684618
- Mageia 5 Mass Rebuild

* Mon Oct 21 2013 umeabot <umeabot> 0.814.0-2.mga4
+ Revision: 538448
- Mageia 4 Mass Rebuild

* Mon Sep 30 2013 sander85 <sander85> 0.814.0-1.mga4
+ Revision: 489708
- update to 0.814

* Sun Jan 13 2013 umeabot <umeabot> 0.813.0-2.mga3
+ Revision: 366786
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Mon May 16 2011 jquelin <jquelin> 0.813.0-1.mga2
+ Revision: 99247
- imported package perl-Email-FolderType


* Mon May 16 2011 cpan2dist 0.813-1mga
- initial mageia release, generated with cpan2dist
